Simple Scan crashes in Ubuntu 16 with Brother MFC-L2710DW

Bug #1777268 reported by Tim Newsham on 2018-06-16
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
simple-scan (Ubuntu)
Undecided
Unassigned

Bug Description

I have a Brother MFC-L2710DW printer/scanner combo. I set it up in ubuntu 16.04 using the manufacturers installer (via wifi). I can print to it fine. When I run simple scan and select the scanner in preferences, and choose to "scan all pages from feeder", it begins the scan, and then crashes.

Ubuntu 16.04.4 LTS
simple-scan:
  Installed: 3.20.0-0ubuntu1
  Candidate: 3.20.0-0ubuntu1
  Version table:
 *** 3.20.0-0ubuntu1 500
        500 http://us.archive.ubuntu.com/ubuntu xenial/main amd64 Packages
        100 /var/lib/dpkg/status

what happened: it crashed, simple scan disappeared mid-scan
what I expected to happen: it should have completed scanning the page without crashing

Tim Newsham (tim.newsham) wrote :

hread 7 "scan-thread" received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0x7fffd8f7c700 (LWP 4914)]
0x00007fffd866a26f in make_cache_block ()
   from /usr/lib/x86_64-linux-gnu/sane/libsane-brother4.so.1
(gdb) where
#0 0x00007fffd866a26f in make_cache_block ()
   from /usr/lib/x86_64-linux-gnu/sane/libsane-brother4.so.1
#1 0x00007fffd866ae04 in read_scanned_data ()
   from /usr/lib/x86_64-linux-gnu/sane/libsane-brother4.so.1
#2 0x00007fffd866355e in PageScan ()
   from /usr/lib/x86_64-linux-gnu/sane/libsane-brother4.so.1
#3 0x00007fffd8673be5 in sane_brother4_read ()
   from /usr/lib/x86_64-linux-gnu/sane/libsane-brother4.so.1
#4 0x000055555557ac04 in ?? ()
#5 0x00007ffff5ff3bb5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#6 0x00007ffff53e16ba in start_thread (arg=0x7fffd8f7c700)
    at pthread_create.c:333
#7 0x00007ffff511741d in clone ()
    at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Tim Newsham (tim.newsham) wrote :

It looks like the problem here is that the Brother's official driver installer
is installing an outdated driver file. This was found previously:

   https://forums.linuxmint.com/viewtopic.php?t=262330#p1425901

instead of downloading and installing the latest brscan4-0.4.5-1.amd64.deb
it is installing the older brscan4-.04.4-3.amd64.deb. This older version
is causing the crash. When the installer script is manually patched
to install the latest version of the brscan4 package, the crash goes away.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in simple-scan (Ubuntu):
status: New → Confirmed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers